# Get All Charges Retrieve all charges with pagination Endpoint: GET /v1/charges Version: v1 ## Query parameters: - `page` (integer) Page number (0-based) - `limit` (integer) Number of charges per page Example: 20 - `merchant_id` (string) Optional merchant ID to filter charges Example: "merchant_01j3sc1n1keghbg5q97gr1s08m" - `payment_type` (string) Optional payment type to filter charges Enum: "MANUAL", "INVOICE", "TERMINAL", "SCAN_TO_PAY" - `status` (string) Optional status to filter charges Enum: "AUTHORIZED", "SETTLED" - `charge_id` (string) Optional charge ID to filter charges Example: "ch_01j8emz8chfxbb2bqmtref8ch7" ## Response 200 fields (application/json): - `charges` (array, required) - `charges.id` (string) Unique identifier for the charge Example: "ch_01j8emz8chfxbb2bqmtref8ch7" - `charges.merchant` (object, required) - `charges.merchant.id` (string, required) Unique identifier for the merchant Example: "merchant_02c7h71rf3eg396idngupsr66t" - `charges.merchant.gateway_merchant_id` (string) Unique identifier for the merchant in the payment gateway Example: "cs32cvc4i4783pdn9ml1" - `charges.merchant.api_key` (string) Secret API key for the merchant Example: "api_2y46nIaf2xjtD0B74aZ6oxhQRxL" - `charges.merchant.pub_api_key` (string) Public API key for the merchant Example: "pub_2y46nKsfnVmYQ7Fw6FTOhvS9l0F" - `charges.merchant.processors` (array) Merchant processors - `charges.merchant.processors.id` (string, required) Unique identifier for the processor Example: "cs32cvn0i4793pdn9mog" - `charges.merchant.processors.processor_type` (string, required) Enum: "ACH", "CREDIT_CARD" - `charges.payment_type` (string, required) Type of payment for the charge Example: "MANUAL" - `charges.status` (string, required) status of the charge Enum: "AUTHORIZED", "SETTLED" - `charges.requested_amount` (integer, required) Requested amount for the charge Example: 100 - `charges.amount_authorized` (integer, required) Amount authorized for the charge Example: 100 - `charges.amount_captured` (integer, required) Amount captured for the charge Example: 100 - `charges.tip` (integer, required) Tip amount for the charge Example: 1 - `charges.tax` (integer, required) Tax amount for the charge Example: 10 - `charges.card_last_4` (string) Last 4 digits of the card used for the charge Example: 1234 - `charges.card_brand` (string) Brand of the card used for the charge Example: "VISA" - `charges.created_at` (integer, required) Timestamp when the charge was created Example: 1727875117482 - `charges.authorized_at` (integer) Timestamp when the charge was authorized Example: 1727875117482 - `charges.captured_at` (integer) Timestamp when the charge was captured Example: 1727875117482 - `charges.settled_at` (integer) Timestamp when the charge was settled Example: 1727875117482 - `charges.card_entry_method` (string, required) Method used for card entry Enum: "SWIPE", "CHIP", "MANUAL" - `charges.billing_address` (object) Billing address details - `charges.billing_address.company` (string) Company name associated with the address Example: "Acme Corp" - `charges.billing_address.phone` (string, required) Phone number associated with the address Example: "+1234567890" - `charges.billing_address.email` (string, required) Email address associated with the address Example: "example@domain.com" - `charges.billing_address.first_name` (string) First name of the person associated with the address Example: "John" - `charges.billing_address.last_name` (string) Last name of the person associated with the address Example: "Doe" - `charges.billing_address.address_line_1` (string) First line of the address Example: 123 - `charges.billing_address.address_line_2` (string) Second line of the address Example: "Apt 4B" - `charges.billing_address.city` (string) City of the address Example: "New York" - `charges.billing_address.state` (string) State of the address Example: "NY" - `charges.billing_address.postal_code` (string) Postal code of the address Example: 10001 - `charges.billing_address.country` (string) Country of the address Example: "USA" - `charges.billing_address.fax` (string) Fax number associated with the address Example: "+1234567890" - `charges.card_expiration_date` (string) Expiration date of the card Example: "01/27" - `charges.card_type` (string) Type of the card Example: "debit" - `charges.failure_reason` (string) Reason for the charge failure Example: "Card declined" - `charges.refunds` (array) List of refunds associated with this charge - `charges.refunds.id` (string, required) Unique identifier for the refund Example: "re_01j8emz8chfxbb2bqmtref8ch7" - `charges.refunds.charge_id` (string, required) Unique identifier for the charge Example: "ch_01j8emz8chfxbb2bqmtref8ch7" - `charges.refunds.merchant_id` (string, required) Unique identifier for the merchant Example: "merchant_02c7h71rf3eg396idngupsr66t" - `charges.refunds.amount` (integer, required) Amount of the refund Example: 100 - `charges.refunds.created_at` (integer, required) Timestamp in milliseconds when the refund was created Example: 1727875117482 - `total` (integer, required) - `totalPages` (integer, required) - `page` (integer, required) - `size` (integer, required)